{* $Id: currencies.tpl,v 4.2.1 07/08/2009 *}

{include file="page_title.tpl" title=$lng.lbl_currencies_management}

{$lng.txt_currencies_management_top_text}

<br /><br />

{capture name=dialog}

{section name=zone loop=$zones}
<span style="white-space: nowrap; padding-right: 20px;">
{if $zones[zone].zone eq $zone or ($zones[zone].zone eq "ALL" and $zone eq "")}
<b>{$zones[zone].title}</b>
{else}
<a href="currencies.php{if $zones[zone].zone}?zone={$zones[zone].zone}{/if}">{$zones[zone].title}</a>
{/if}
</span>
 &nbsp; 
{/section}

<br /><br />

{include file="customer/main/navigation.tpl"}

{include file="main/check_all_row.tpl" style="line-height: 170%; text-align: right;" form="editcurrenciesform" prefix="posted_data.+active"}

<form action="currencies.php" method="post" name="editcurrenciesform">
<input type="hidden" name="mode" value="" />
<input type="hidden" name="page" value="{$smarty.get.page}" />
<input type="hidden" name="zone" value="{$zone}" />

<table cellpadding="2" cellspacing="1" width="100%">

<tr class="TableHead">
	<td nowrap="nowrap">{$lng.lbl_code}</td>
	<td width="70%" nowrap="nowrap">{$lng.lbl_currency}</td>
	<td width="10%" nowrap="nowrap">{$lng.lbl_currency_symbol}</td>
	<td width="10%" nowrap="nowrap">{$lng.lbl_currency_rate}</td>
	<td width="10%" nowrap="nowrap">{$lng.lbl_orderby}</td>
	<td nowrap="nowrap">{$lng.lbl_active}</td>
</tr>

{section name=currency loop=$currencies}
<tr{if $currencies[currency].country_code eq $config.Company.location_country} class="TableHead"{else}{cycle values=', class="TableSubHead"'}{/if}>
	<td nowrap="nowrap" align="center">
    {if !empty($currencies[currency].auto_rate)}<em>{/if}
    {$currencies[currency].code}
    {if !empty($currencies[currency].auto_rate)}</em>{/if}
    </td>
	<td><input type="text" size="34" maxlength="50" name="posted_data[{$currencies[currency].code}][currency]" value="{$currencies[currency].name}" style="width: 99%;" /></td>
	<td><input type="text" size="10" maxlength="10" name="posted_data[{$currencies[currency].code}][symbol]" value="{$currencies[currency].symbol}" style="width: 99%;" /></td>
	<td><input type="text" size="10" maxlength="10" name="posted_data[{$currencies[currency].code}][rate]" value="{$currencies[currency].rate}" style="width: 99%;" /></td>
	<td><input type="text" size="10" maxlength="10" name="posted_data[{$currencies[currency].code}][order_by]" value="{$currencies[currency].order_by}" style="width: 99%;" /></td>
	<td align="center"><input type="checkbox" name="posted_data[{$currencies[currency].code}][active]" value="Y"{if $currencies[currency].active eq "Y"} checked="checked"{/if} /></td>
</tr>
{/section}

<tr>
<td colspan="5"><br />

{include file="customer/main/navigation.tpl"}

<input type="submit" value="{$lng.lbl_update|strip_tags:false|escape}" />
<input type="button" value="{$lng.lbl_auto_update|strip_tags:false|escape}" onclick="javascript: document.editcurrenciesform.mode.value = 'auto_update'; document.editcurrenciesform.submit();" />
<br /><br />
<input type="button" value="{$lng.lbl_deactivate_all|strip_tags:false|escape}" onclick="javascript: document.editcurrenciesform.mode.value = 'deactivate_all'; document.editcurrenciesform.submit();" />
&nbsp;&nbsp;&nbsp;&nbsp;
<input type="button" value="{$lng.lbl_activate_all|strip_tags:false|escape}" onclick="javascript: document.editcurrenciesform.mode.value = 'activate_all'; document.editcurrenciesform.submit();" />
</td>
</tr>

</table>
</form>

<br /><br />

{/capture}
{include file="dialog.tpl" title=$lng.lbl_currencies content=$smarty.capture.dialog extra='width="100%"'}
